Package org.optaplanner.persistence.jackson.api.score.buildin.hardmediumsoftlong

## Class HardMediumSoftLongScoreJacksonJsonDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonJsonDeserializer<HardMediumSoftLongScore>
    - - org.optaplanner.persistence.jackson.api.score.buildin.hardmediumsoftlong.HardMediumSoftLongScoreJacksonJsonDeserializer

- All Implemented Interfaces:
    `com.fasterxml.jackson.databind.deser.NullValueProvider`

      public class HardMediumSoftLongScoreJacksonJsonDeserializer
      extends AbstractScoreJacksonJsonDeserializer<HardMediumSoftLongScore>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HardMediumSoftLongScoreJacksonJsonDeserializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HardMediumSoftLongScore` | `deserialize​(com.fasterxml.jackson.core.JsonParser parser, com.fasterxml.jackson.databind.DeserializationContext context)` |

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardMediumSoftLongScoreJacksonJsonDeserializer

          public HardMediumSoftLongScoreJacksonJsonDeserializer()

  - ### Method Detail

    - #### deserialize

          public HardMediumSoftLongScore deserialize​(com.fasterxml.jackson.core.JsonParser parser,
                                                     com.fasterxml.jackson.databind.DeserializationContext context)
                                              throws IOException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<HardMediumSoftLongScore>`
      Throws:
        `IOException`